package org.example.match;

import com.nhn.gameanvil.game.GameAnvilRoomMatchMaker;
import com.nhn.gameanvil.node.match.AbstractRoomMatchMaker;
import org.example.game.BasicRoom;

@GameAnvilRoomMatchMaker(loadClass = BasicRoom.class)
public class BasicRoomMatchMaker extends AbstractRoomMatchMaker<BasicRoomMatchForm, BasicRoomMatchInfo> {

    @Override
    public boolean onMatch(BasicRoomMatchForm roomMatchForm, BasicRoomMatchInfo roomMatchInfo, Object... args) {
        return false;
    }

    @Override
    public int compare(BasicRoomMatchInfo o1, BasicRoomMatchInfo o2) {
        return 0;
    }
}
